Module
Inhalte
Index 🔎︎

# Funktionen TypeName und VarType

Liefert eine Zeichenkette (TypeName) oder einen numerischen Wert (VarType) zurück, der oder die Informationen über eine Variable gibt.

## Syntax:

    TypeName (Variable) / VarType (Variable)

## Rückgabewert:

String; Integer

## Parameter:

Variable: Die Variable, deren Typ Sie bestimmen möchten. Sie können folgende Werte verwenden:

Schlüsselwort | Benannte Konstante | VarType | Variablentyp
Boolean |  | 11 | Boolean-Variable
Date | V_DATE | 7 | Date-Variable
Currency | V_CURRENCY | 6 | Currency-Variable (Währungsvariable)
Double | V_DOUBLE | 5 | Double-Fließkommavariable
Integer | V_INTEGER | 2 | Integer-Variable
Long | V_LONG | 3 | Long-Integer-Variable
Object |  | 9 | Objekt-Variable
Single | V_SINGLE | 4 | Single-Fließkommavariable
String | V_STRING | 8 | Zeichenketten-Variable
Variant |  | 12 | Variant-Variable (kann alle Typen beinhalten und wird bei der und durch die Definition typisiert)
Empty | V_EMPTY | 0 | Variable ist nicht initialisiert
Null | V_NULL | 1 | Keine gültigen Daten

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleType

    Dim iVar As Integer

    Dim sVar As String

    Dim siVar As Single

    Dim dVar As Double

    Dim bVar As Boolean

    Dim lVar As Long

    Dim cVar as Currency

    Dim tVar as Date

     MsgBox TypeName(iVar) & " " & VarType(iVar) & Chr(13) &_

     TypeName(sVar) & " " & VarType(sVar) & Chr(13) &_

     TypeName(siVar) & " " & VarType(siVar) & Chr(13) &_

     TypeName(dVar) & " " & VarType(dVar) & Chr(13) &_

     TypeName(bVar) & " " & VarType(bVar) & Chr(13) &_

     TypeName(cVar) & " " & VarType(cVar) & Chr(13) &_

     TypeName(tVar) & " " & VarType(tVar) & Chr(13) &_

     TypeName(lVar) & " " & VarType(lVar),0,"Einige Typen in LibreOffice Basic"

    End Sub